org.eclipse.microprofile.jwt

## Annotation Type Claim

    @Qualifier
     @Retention(value=RUNTIME)
     @Target(value={FIELD,METHOD,PARAMETER,TYPE})
    public @interface Claim

Annotation used to signify an injection point for a `ClaimValue` from a `JsonWebToken`

### Optional Element Summary

Optional Elements
`Claims` `standard` An alternate way of specifying a claim name using the Claims enum
`String` `value` The value specifies the id name the claim to inject

### Element Detail

#### value

    public abstract String value

The value specifies the id name the claim to inject

Returns:
  the claim name
See Also:
  `JsonWebToken.getClaim(String)`

Default:
  ""

#### standard

    public abstract Claims standard

An alternate way of specifying a claim name using the Claims enum

Returns:
  the claim enum

Default:
  org.eclipse.microprofile.jwt.Claims.UNKNOWN